de.heatup.ui

## Class KeyBindings

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - de.heatup.ui.KeyBindings

- All Implemented Interfaces:
    java.awt.event.KeyListener, java.util.EventListener

      public class KeyBindings
      extends java.awt.event.KeyAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyBindings(Player player)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkKeyActivity()`
    `boolean` | `isDown()`
    `boolean` | `isESC()`
    `boolean` | `isLeft()`
    `boolean` | `isRight()`
    `boolean` | `isUp()`
    `void` | `keyPressed(java.awt.event.KeyEvent evt)`
    `void` | `keyReleased(java.awt.event.KeyEvent evt)`

    - ### Methods inherited from class java.awt.event.KeyAdapter

      `keyTyped`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyBindings

          public KeyBindings(Player player)

  - ### Method Detail

    - #### keyReleased

          public void keyReleased(java.awt.event.KeyEvent evt)

      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`
      Overrides:
        `keyReleased` in class `java.awt.event.KeyAdapter`

    - #### keyPressed

          public void keyPressed(java.awt.event.KeyEvent evt)

      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`
      Overrides:
        `keyPressed` in class `java.awt.event.KeyAdapter`

    - #### checkKeyActivity

          public void checkKeyActivity()

    - #### isLeft

          public boolean isLeft()

    - #### isRight

          public boolean isRight()

    - #### isUp

          public boolean isUp()

    - #### isDown

          public boolean isDown()

    - #### isESC

          public boolean isESC()